Subject: Re: Feedback about Joaquim's call handling
From: Saurabh Dadu <[email-masked]>
To: "Pritish Nandi (LSM)" <[email-masked]>
Date: Mon, 7 Dec 2020 14:32:02 +0000

And how about his English calls?

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Pritish Nandi <[email-masked]>
Sent: 07 December 2020 7:50 PM
To: Saurabh Dadu <[email-masked]>
Subject: Re: Feedback about Joaquim's call handling

Hi Sir,

I am sorry however this is based on call feedback. I cannnot check calls for any language agents and understand what is happening.

I have done audits based on what is he writing to the customer and I see improvement.

Attached is the audit report.

Regards,
Pritish

________________________________
From: "saurabh" <[email-masked]>
To: "Pritish Nandi" <[email-masked]>
Sent: Monday, December 7, 2020 7:45:54 PM
Subject: Fw: Feedback about Joaquim's call handling

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Heta Nyrhinen (HNYR) <[email-masked]>
Sent: 07 December 2020 7:11 PM
To: Saurabh Dadu <[email-masked]>
Cc: Sara Aknooni (SRAK) <[email-masked]>
Subject: Feedback about Joaquim's call handling

Hello Saurabh,

I listened to a few of Joaquim’s calls and unfortunately the quality of customer service is not up to the required level. Here are some of my observations:

- Insecure about product names and not confident about product features.

- Same questions asked several times.

- No information about resellers.

- Checking KB article in the call.

- Slow research during the call.

- Promised RMA in the call without knowing many basics about the issue and without checking with L2.

- Admitting to a customer that he has never heard about the product they are asking about.

- Also the call notes are not complete in the Zendesk tickets.

Please provide a plan for covering German calls in a professional manner.

Best regards,

Heta Nyrhinen
Project Manager
Global Support and Service
+45 4470 0148
+45 2213 1261

Sennheiser Communications A/S · Industriparken 27 · DK-2750 Ballerup · Denmark

eposaudio.com<https://www.eposaudio.com/> · Follow us here

<https://www.youtube.com/channel/UCKZSbHA_gj3OKwPnKa4cNaA>  <https://twitter.com/Epos_audio>   <https://www.linkedin.com/company/eposaudio/>